package com.xhpc.payment.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import javax.validation.constraints.NotNull;


/**
 * @author
 * @description 退款审核 xhpc_refund_audit
 * @date 2021-07-22
 */
public class XhpcRefundAudit extends BaseEntity {

    /**
     * 退款订单审核id
     */
    private Long refundAuditId;

    /**
     * 退款订单id
     */
    @NotNull(message = "退款订单id不能为空")
    private Long refundOrderId;

    /**
     * 状态（0审核中 1审核通过，2审核不通过）
     */
    @NotNull(message = "状态不能为空")
    private Integer status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    public Long getRefundAuditId() {
        return refundAuditId;
    }

    public void setRefundAuditId(Long refundAuditId) {
        this.refundAuditId = refundAuditId;
    }

    public Long getRefundOrderId() {
        return refundOrderId;
    }

    public void setRefundOrderId(Long refundOrderId) {
        this.refundOrderId = refundOrderId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
